<?php
/*
* $Id: cfgm_name_based_urls.php
* $Loc: /admin/includes/modules/cfg_modules/
*
* Name: NameBasedURLsDemo
* Version: 1.4
* Release Date: 07/21/2024
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under Commercial License
*
* Comments:  Author: [Rainer Schmied @raiwa]
*  Author URI: [www.phoenixcartaddons.com]
*  License: Commercial License Rainer Schmied
*  License URI: https://www.phoenixcartaddons.com/license.php
* 
*  Copyright (c) 2024 Rainer Schmied
*  
* and guidance by
* Matt @ecartz
* https://phoenixcart.org
* 
*  Redistribution and use in source and binary forms, with or without
*  modification, are not permitted without specific prior written permission
*  from Rainer Schmied
* 
* based on:
* Ultimate SEO URLs Contribution - osCommerce MS-2.2
* http://www.oscommerce-freelancers.com/ osCommerce-Freelancers
* Copyright 2005, Bobby Easland
* Bobby Easland
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
*  SOFTWARE.
*  
* 
*/

   class cfgm_name_based_urls {

    const CODE = 'name_based_urls';
    const DIRECTORY = DIR_FS_CATALOG . 'includes/modules/name_based_urls/';
    const LANGUAGE_DIRECTORY = DIR_FS_CATALOG . 'includes/languages/';
    const KEY = 'MODULE_NB_URLS_INSTALLED';
    const TITLE = MODULE_CFG_MODULE_NB_URLS_TITLE;
    const TEMPLATE_INTEGRATION = true;

    const GET_HELP_LINK = 'https://www.phoenixcartaddons.com/contact_us.php?ceid=b1ors56vtso07u4l19v7l8rpcj';

    const GET_ADDONS_LINKS = [ADDONS_FREE => 'https://www.phoenixcartaddons.com/free-c-2.html',
                              ADDONS_COMMERCIAL => 'https://www.phoenixcartaddons.com/commercial-c-3.html'];

  }